Bug 442684 - 3 gdb build errors on ia64
3 gdb build errors on ia64
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
ia64 Linux
low Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2008-04-16 05:17 EDT by Zhan, Yi
Modified: 2008-05-13 11:26 EDT (History)
0 users

See Also:
Fixed In Version: 6.8-5.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-13 11:26:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix the build errors (1.28 KB, patch)
2008-04-16 05:17 EDT, Zhan, Yi
no flags Details | Diff

  None (edit)
Description Zhan, Yi 2008-04-16 05:17:21 EDT
Description of problem:

I saw below 3 build errors when trying to build the gdb from rawhide on ia64. I
will attach a patch to fix them. I have done a successfully scratch build of gdb
with the patch. http://ia64.koji.fedoraproject.org/koji/taskinfo?taskID=60580 

1)  
../../gdb/ia64-tdep.c: In function 'ia64_sigtramp_frame_prev_register':
../../gdb/ia64-tdep.c:2089: error: ISO C90 forbids mixed declarations and code

2)  
../../gdb/ia64-tdep.c: In function ‘examine_prologue’:
../../gdb/ia64-tdep.c:1237: error: array subscript is above array bounds

The statement in the codes is           
    else if (qp == 0 && rM >= 32 && rM < 40 && !instores[rM] &&
but instores is defined as 
    char instores[8];
Replacing instores[rM] by instores[rM-32] could fix this. 

3)
../../gdb/libunwind-frame.c: In function ‘libunwind_frame_cache’:
../../gdb/libunwind-frame.c:137: error: redeclaration of ‘fp’ with no linkage
../../gdb/libunwind-frame.c:136: error: previous declaration of ‘fp’ was here

This is introduced by line 38 in gdb-6.3-ia64-sigtramp-fp-20050926.patch.
Probably a typo. 


Version-Release number of selected component (if applicable):
gdb-6.8-2.fc9

How reproducible:
aways

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Zhan, Yi 2008-04-16 05:17:21 EDT
Created attachment 302566 [details]
fix the build errors
Comment 2 Jan Kratochvil 2008-04-16 11:01:32 EDT
Committed to Rawhide:
* Wed Apr 16 2008 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.8-3
- Fix ia64 compilation errors (Yi Zhan, BZ 442684).
Comment 3 Fedora Update System 2008-05-12 08:24:05 EDT
gdb-6.8-5.fc9 has been submitted as an update for Fedora 9
Comment 4 Fedora Update System 2008-05-13 11:26:03 EDT
gdb-6.8-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.